local floor = math.floor

local mask = {1}
for k = 2, 33 do
	mask[k] = mask[k - 1] * 2
end

return {
	test = function (a, b)
		if b < 1 then b = 1 end
		if b > 32 then b = 32 end
		return (floor((a % mask[b+1]) / mask[b]) == 1)
	end
}