local abyssCfg = {}

local reader = TFReader:create('abyss_challenge.txt')
for k = 1, reader:GetItemCount() do
	local cfg = {}
	cfg.id = reader:Read(k, 'id', 0)
	cfg.level = reader:Read(k, 'level', 0)
	cfg.boss = reader:Read(k, 'boss', 0)
	cfg.awardinfo = reader:Read(k, 'awardinfo', '')
	cfg.bossname = reader:Read(k, 'bossname', '')
	cfg.bosskind = reader:Read(k, 'bosskind', '')
	cfg.bossskill = reader:Read(k, 'bossskill', '')
	abyssCfg[cfg.id] = cfg
end

return abyssCfg