local itemCfg = {}

local reader = TFReader:create('item.txt')
for k = 1, reader:GetItemCount() do
	local cfg = {}
	cfg.itemId = reader:Read(k, 'templateId', 0)
	cfg.name = reader:Read(k, 'name', '')
	cfg.texture = reader:Read(k, 'textureImage', '')
	cfg.itemClass = reader:Read(k, 'itemClass', 0)
	cfg.equipType = reader:Read(k, 'equipType', 0)
	cfg.level = reader:Read(k, 'level', 0)
	cfg.desc = reader:Read(k, 'itemDescription', '')
	cfg.damageMin = reader:Read(k, 'damageMin', 0)
	cfg.damageMax = reader:Read(k, 'damageMax', 0)
	cfg.armor = reader:Read(k, 'armor', 0)
	cfg.accuracy = reader:Read(k, 'accuracy', 0)
	cfg.dodge = reader:Read(k, 'dodge', 0)
	cfg.critical = reader:Read(k, 'critical', 0)
	cfg.hp = reader:Read(k, 'hp', 0)
	cfg.mp = reader:Read(k, 'mp', 0)
	cfg.decCritical = reader:Read(k, 'decCritical', 0)
	cfg.physicalResistance = reader:Read(k, 'physicalResistance', 0)
	cfg.magicResistance = reader:Read(k, 'magicResistance', 0)
	cfg.requireRace = reader:Read(k, 'requireRace', 0)
	itemCfg[cfg.itemId] = cfg
end

return itemCfg