--require'print_t'
local runeCfg = {}

local reader = TFReader:create('rune.txt')
for k = 1, reader:GetItemCount() do
	local cfg = {}
	cfg.itemId = reader:Read(k, 'id', 0)
	cfg.runeskillid = reader:Read(k, 'runeskillid', 0)
	cfg.abitype = reader:Read(k, 'abitype', 0)
	cfg.valueindex = reader:Read(k, 'valueindex', 0)
	for j =1,6 do
		local valueStr = string.format('value%d',j)
		cfg[valueStr] = reader:Read(k, valueStr, 0)
	end
	local cmbskill = reader:Read(k, 'cmbskill', ',')
	if cmbskill == "0" then
		cfg.cmbskill ={}
	else
		cfg.cmbskill = string.split(cmbskill,',')	
		for k=1,#cfg.cmbskill do
			cfg.cmbskill[k] = tonumber(cfg.cmbskill[k])
		end
	end
	--print_t(cfg.cmbskill)
	runeCfg[cfg.itemId] = cfg
end

return runeCfg