--require'print_t'
local runeSkillCfg = {}

local reader = TFReader:create('runeskill.txt')
for k = 1, reader:GetItemCount() do
	local cfg = {}
	cfg.skill = reader:Read(k, 'id', 0)
	cfg.name = reader:Read(k, 'name', '')
	cfg.des = reader:Read(k, 'des', '')
	cfg.race = reader:Read(k, 'race', 0)
	cfg.icon = reader:Read(k, 'icon', '')
	local runes = reader:Read(k, 'rune', ',')
	if runes == "0" then
		cfg.runes ={}
	else
		cfg.runes = string.split(runes,',')	
		for k=1,#cfg.runes do
			cfg.runes[k] = tonumber(cfg.runes[k])
		end
	end
	for j =1,6 do
		local valueStr = string.format('lv%d',j)
		cfg[valueStr] = reader:Read(k, valueStr, 0)
	end
	for j =1,6 do
		local rateStr = string.format('rate%d',j)
		cfg[rateStr] = reader:Read(k, rateStr, 0)
	end
	for j =1,6 do
		local deslvStr = string.format('des_lv%d',j)
		cfg[deslvStr] = reader:Read(k, deslvStr, '')
	end
	runeSkillCfg[cfg.skill] = cfg
end

return runeSkillCfg