local starCfg = {}

local reader = TFReader:create('equip_star_config.txt')
for k = 1, reader:GetItemCount() do
	local cfg = {}
	cfg.star = reader:Read(k, 'star', 0)
	cfg.base_attr = reader:Read(k, 'BASE_ATTR', 0)
	cfg.eat_exp = reader:Read(k, 'eat_exp', 0)
	cfg.lu_exp = reader:Read(k, 'lu_exp', 0)
	cfg.lu_cost = reader:Read(k, 'lu_cost', 0)
	cfg.base_attr = reader:Read(k, 'BASE_ATTR', 0)
	cfg.xilian_attr = reader:Read(k, 'XILIAN_ATTR', 0)
	local attrs, attr = {}
	attr = string.split(reader:Read(k, 'DAMAGE_ADD', ''), ',')
	attrs[0] = {tonumber(attr[1]), tonumber(attr[2])}
	attr = string.split(reader:Read(k, 'CRITICAL_ADD', ''), ',')
	attrs[1] = {tonumber(attr[1]), tonumber(attr[2])}
	cfg.attr = attrs
	starCfg[cfg.star] = cfg
end

return starCfg