local vipCfg = {}

local reader = TFReader:create('vipset.txt')
for k = 1, reader:GetItemCount() do
	local cfg = {}
	cfg.level = reader:Read(k, 'lv', 0)
	cfg.diamond = reader:Read(k, 'diamond', 0)
	cfg.quickBattle = reader:Read(k, 'quickBattle', 0)
	cfg.bossChallenge = reader:Read(k, 'bossChallenge', 0)
	cfg.eliteChallenge = reader:Read(k, 'eliteChallenge', 0)
	cfg.buyGold = reader:Read(k, 'buyGold', 0)
	cfg.advancedInventory = reader:Read(k, 'advancedInventory', 0)
	cfg.additionalBossAward = reader:Read(k, 'additionalBossAward', '')
	cfg.mercenaryCulture = reader:Read(k, 'mercenaryCulture', '')
	cfg.remark = reader:Read(k, 'remark', '')
	cfg.tenmercenaryCulture = reader:Read(k, 'tenmercenaryCulture', 0)
	cfg.remarkessence = reader:Read(k, 'remark_essence', '')
	cfg.functionboss = reader:Read(k, 'function_boss', '')
	cfg.vipgift = reader:Read(k, 'vipgift', '')
	cfg.arenaaward = reader:Read(k, 'arena_award', '')
	cfg.shoprefresh = reader:Read(k, 'shop_refresh','')
	cfg.battleexpextra = reader:Read(k, 'battle_exp_extra', 0)
	cfg.duorenfbenfreetimes = reader:Read(k, 'duoren_fben_freetimes', 0)
	cfg.shopfreetime = reader:Read(k, 'shoprefresh_time', 0)
	cfg.bossgxextra = reader:Read(k, 'boss_gx_extra', 0)
	cfg.dropextra = reader:Read(k, 'drop_extra', 0)
	
	local laba = ''
	laba = reader:Read(k, 'laba', '')
	local sub_str_tab = string.split(laba, ',')
	cfg.labaMan = sub_str_tab[1]
	cfg.labaHero = sub_str_tab[2]
	cfg.labaCity = sub_str_tab[3]
	
	vipCfg[cfg.level] = cfg
end



return vipCfg