local MakeItemDetail = require'makeitemdetail'
local itemCfg = require'config.item'
local tcast = tolua.cast

local cVer = ItemDetail
ItemDetail = class('ItemDetail', CppUI)
local super = ItemDetail.__super

function ItemDetail:init()
	if not super.init(self) then return false end
	
	--self.uid=8879493578868
	
	
	
	local sell = true
	if g_CurLayer then
		if g_CurLayer.__cname == 'LayerEquip' or g_CurLayer.__cname == 'LayerPet' then
			sell = false
		end
	end
	
	local item = g_Player:GetItem(self.uid)
	if item:getColorIdx() >= 5 or item.m_starNum > 0 then
		self:seekWidgetByName('btn_sq_up'):setEnabled(true)
		self:seekWidgetByName('btn_sq_pass'):setEnabled(true)
		if sell then self:seekWidgetByName('btn_sell'):setEnabled(false) end
	else
		self:seekWidgetByName('btn_sq_up'):setEnabled(false)
		self:seekWidgetByName('btn_sq_pass'):setEnabled(false)
		if sell then self:seekWidgetByName('btn_sell'):setEnabled(true) end
	end
	
	MakeItemDetail:ChangelScore(self:seekWidgetByName('pnl_equip_props'), self.uid, true)
	
	return true
end

function ItemDetail:OnItemUpdate(_type, where, uniqueId, item, prevItem )
	if self:GetRootLayer() == nil then return end

	if uniqueId == self.uid then
		self:UpdateLockBtn(item)
		if _type == IUEVENT_REMOVE then
			self:close()
		elseif _type == IUEVENT_UPDATE then
			MakeItemDetail:ChangelScore(self:seekWidgetByName('pnl_equip_props'), self.uid, true)
		end
	end
end

function ItemDetail:UpdateLockBtn(item)
	if item == nil then return end
	
	local btn_lock = self:seekWidgetByName('btn_lock')
	if btn_lock ~= nil then
		btn_lock:setEnabled(true)
		btn_lock:loadTextures(item:bind() and 'btn_jszb.png' or 'btn_sdzb.png', nil, nil, UI_TEX_TYPE_PLIST)
	end
end

function ItemDetail:Show(layer, p1, p2)
	if isi64(p1) then
		self.uid = p1
		p1 = tostring(p1)
	else
		self.uid = 0
	end
	cVer:Show(layer, p1, p2)
	self.uid = nil
end