local guideCfg = require'config.guide'
local guideMgr = require'guide'

LayerFaction = class('LayerFaction', CppUI)
local super = LayerFaction.__super

function LayerFaction:onEnterDidFinish()
	self:addLuaHandler('btn_bossin', function ()
		DlgFactionBattle:Show(self)
	end)
	
	self:addLuaHandler('btn_donate', function ()
		DlgClubDonate:Show(self)
	end)
	
	local btnHelp = self:seekWidgetByName('btn_help')
	if not btnHelp then
		btnHelp = self:seekWidgetByName('btn_help2')
	end
	if btnHelp then
		btnHelp:setName('btn_help2')
		local t = btnHelp:getTag()
		self:addLuaHandler(btnHelp, function ()
			LShowMessage(TDGETSTRCS('SD_HELP_'..t),
				TDGETSTRCS('SD_HELP_TITLE_'..t), nil, MBT_OK,
				btnHelp.guide and
				function ()
					guideMgr.ShowGuide(guideCfg.manor[1])
				end
			)
		end)
	end
end