local min = math.min
local proto = require'protocol'
----------------------------------------------------------------
----------------------------------------------------------------
-- ͼ¼

local itemConfig = require'config.item'

local boxNeed = {[50]=3,[51]=4,[52]=5}

-- 
local function onClickBagItem(iiv)
	local item = iiv:GetDummyItem()
	local itemId = item.templateId
	local function useOne()
		UseItemConfirm(item)
	end
	local function useAll()
		UseItemConfirm(item, true)
	end
	if itemId >= 50 and itemId <= 52 then
		-- ͭ
		local useTip = ''
		if itemId == 50 then
			useTip = TDGETSTRCS('SD_BOX_OEPN_C')
		elseif itemId == 51 then
			useTip = TDGETSTRCS('SD_BOX_OEPN_S')
		elseif itemId == 52 then
			useTip = TDGETSTRCS('SD_BOX_OEPN_G')
		end
		LShowMessage(useTip, nil, nil,
			MBT_BOX,
			function ()
				local cnt = min(
					g_Player:GetItemCount(itemId),
					g_Player:GetItemCount(boxNeed[itemId]))
				if cnt == 0 then
					LShowMessage(TDGETSTRCS('SD_BOX_NOT_ENOUGH_1'))
				elseif cnt >= 10 then
					useAll()
				else
					LShowMessage(string.format(TDGETSTRCS('SD_BOX_NOT_ENOUGH_2'), cnt), nil, nil,
						MBT_OKCANCEL,
						useAll)
				end
			end,
			useOne)
		return true
	elseif (itemId >= 82 and itemId <= 84) or
		(itemId >= 94 and itemId <= 100) then
		-- װ
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_OKCANCEL,
			useOne)
		return true
	elseif itemId == 57 or itemId == 59 or itemId == 85 or 
		itemId == 6 or (itemId >= 91 and itemId <= 93) then
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_USEALL,
			useAll,
			nil,
			useOne)
		return true
	elseif (itemId >= 86 and  itemId <= 90) or 
		   (itemId >= 94 and  itemId <= 100) or
		   (itemId >= 516 and  itemId <= 520) or
		   (itemId >= 525 and  itemId <= 529) then
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_USEALL,
			useAll,
			nil,
			useOne)
		return true
	elseif itemId == 515 or itemId == 534 then
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_OKCANCEL,
			useOne)
		return true
	elseif (itemId >= 521 and itemId <= 523) or (itemId >= 531 and itemId <= 532) then
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_OKCANCEL,
			useOne)
		return true
	elseif itemId == 524 then
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_BOX,
			useAll,
			useOne)
		return true
	elseif itemId == 533 then
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_USEALL,
			useAll,
			nil,
			useOne)
		return true
	elseif itemId >= 600 and itemId <= 650 then
		LShowMessage(itemConfig[itemId].desc, nil, nil,
			MBT_OKCANCEL,
			function () g_SendMsg({ptype = 'use_item', id = itemId, useall = false}) end,
			nil,
			nil)
		return true
	end
end

local function doNothing() end

local function onClickRuneItem(iiv,tlt)
	local uid = iiv:GetUserData()
	if TLT_BAG==tlt then --ϸϢ
		EquipRuneDetail:Show(g_CurLayer,uid,iiv:GetItemTemplateId())
	end
end

function OnItemImageViewClicked(iiv)
	local tlt = iiv:GetTipsType()
	local item = iiv:GetDummyItem()
	local typeID = item:GetTypeId()
	
	--
	if typeID == ITEM_CLASS_SUPPLEMENT then
		onClickRuneItem(iiv,tlt)
		return true
	end
	
	if tlt ~= TLT_EmbedSelect and
		tlt ~= TLT_ViewOtherEquip and
		iiv:GetItemTemplateId() >= 1000 then
		local parm1 = 0
		if g_CurLayer.__cname == 'LayerPet' then
			parm1 = g_CurLayer:GetMercID()
		end
		local uid = iiv:GetUniqueId()
		if uid > 0 then
			ItemDetail:Show(g_CurLayer, uid, parm1)
		else
			ItemDetail:Show(g_CurLayer, item, tlt)
		end
		return true
	end
	if tlt == TLT_BAG then
		return onClickBagItem(iiv)
	end
	local p = iiv:getParent()
	p = tolua.cast(p, 'Widget')
	if p then
		g_GetLuaHandler(doNothing)(p)
	end
end