local vipCfg = require'config.vip'

local tcast = tolua.cast
local SSFmt = string.format

BattelStatistics = class('BattelStatistics', CppUI)
local super = BattelStatistics.__super

function BattelStatistics:init()
	if not super.init(self) then return false end
	
	--if not self:initRootWidget('battle-statistics.json', true) then return false end
	
	return true
end

function BattelStatistics:onEnter()
	self:regJMsgHandler('query_statistics', self.BattleInfo)
	return false
end

function BattelStatistics:BattleInfo(msg)
	local _exp_extra = self:seekWidgetByName("lbl_battle_exp_extra")
	if _exp_extra ~= nil then 
		_exp_extra:setText(SSFmt("%u％", msg.expGet))
	end
	
	local _drop_extra = self:seekWidgetByName("lbl_battle_drop_extra")
	if _drop_extra ~= nil then 
		_drop_extra:setText(SSFmt("%u％", msg.itemGet))
	end
end
