local MakeItemDetail = require'makeitemdetail'
local tcast = tolua.cast
local cVer = ReplaceEquipment
ReplaceEquipment = class('ReplaceEquipment', CppUI)
local super = ReplaceEquipment.__super

function ReplaceEquipment:init()
	if not super.init(self) then return false end
	
	local children = self:seekWidgetByName('pnl_head'):getChildren()
	for k = 1, children:count() do
		local w = tcast(children:objectAtIndex(k), 'Widget')
		local iiv = UIHO:seekWidgetByName(w, 'itemView')
		if iiv ~= nil then 
			MakeItemDetail:ChangelScore(UIHO:seekWidgetByName(w, 'pnl_equip_props'), iiv:GetUniqueId())
		end
	end
	
	local children = self:seekWidgetByName('equip_list'):getChildren()
	for k = 1, children:count() do
		local w = tcast(children:objectAtIndex(k), 'Widget')
		local iiv = UIHO:seekWidgetByName(w, 'itemView')
		if iiv ~= nil then 
			MakeItemDetail:ChangelScore(UIHO:seekWidgetByName(w, 'pnl_equip_props'), iiv:GetUniqueId())
		end
	end
	
	self:seekWidgetByName('btn_all'):setEnabled(false)
	self:seekWidgetByName('btn_white'):setEnabled(false)
	self:seekWidgetByName('btn_green'):setEnabled(false)
	self:seekWidgetByName('btn_blue'):setEnabled(false)
	self:seekWidgetByName('btn_purple'):setEnabled(false)
	self:seekWidgetByName('btn_orange'):setEnabled(false)
	return true
end

function ReplaceEquipment:Show(...)
	cVer:Show(...)
end

SelectEquipmentForSQEat = class('SelectEquipmentForSQEat', CppUI)
local super = SelectEquipmentForSQEat.__super

function SelectEquipmentForSQEat:init()
	if not super.init(self) then return false end
	
	local children = self:seekWidgetByName('equip_list'):getChildren()
	for k = 1, children:count() do
		local w = tcast(children:objectAtIndex(k), 'Widget')
		local iiv = UIHO:seekWidgetByName(w, 'itemView')
		if iiv ~= nil then 
			MakeItemDetail:ChangelScore(UIHO:seekWidgetByName(w, 'pnl_equip_props'), iiv:GetUniqueId())
		end
	end
	
	self:seekWidgetByName('btn_all'):setEnabled(false)
	self:seekWidgetByName('btn_white'):setEnabled(false)
	self:seekWidgetByName('btn_green'):setEnabled(false)
	self:seekWidgetByName('btn_blue'):setEnabled(false)
	self:seekWidgetByName('btn_purple'):setEnabled(false)
	self:seekWidgetByName('btn_orange'):setEnabled(false)
	return true
end

SelectEquipmentForCombin = class('SelectEquipmentForCombin', CppUI)
local super = SelectEquipmentForCombin.__super

function SelectEquipmentForCombin:init()
	if not super.init(self) then return false end
	
	local children = self:seekWidgetByName('equip_list'):getChildren()
	for k = 1, children:count() do
		local w = tcast(children:objectAtIndex(k), 'Widget')
		local iiv = UIHO:seekWidgetByName(w, 'itemView')
		if iiv ~= nil then 
			MakeItemDetail:ChangelScore(UIHO:seekWidgetByName(w, 'pnl_equip_props'), iiv:GetUniqueId())
		end
	end
	
	self:seekWidgetByName('btn_all'):setEnabled(false)
	self:seekWidgetByName('btn_white'):setEnabled(false)
	self:seekWidgetByName('btn_green'):setEnabled(false)
	self:seekWidgetByName('btn_blue'):setEnabled(false)
	self:seekWidgetByName('btn_purple'):setEnabled(false)
	self:seekWidgetByName('btn_orange'):setEnabled(false)
	return true
end