local tcast = tolua.cast

DlgFactionMemeber = class('DlgFactionMemeber', CppUI)
local super = DlgFactionMemeber.__super

function DlgFactionMemeber:onEnter()
	self:regJMsgHandler('fm_list', self.onRecvFactionMember)
	return true
end

function DlgFactionMemeber:onRecvFactionMember(msg)
	local tmp = {}
	for k, v in ipairs(msg) do
		if v[1] == FACTION_CAREER_PRESIDENT then
			tmp[#tmp + 1] = v
		end
	end
	for k, v in ipairs(msg) do
		if v[1] == FACTION_CAREER_VICE_PRESIDENT then
			tmp[#tmp + 1] = v
		end
	end
	for k, v in ipairs(msg) do
		if v[1] == FACTION_CAREER_CIVILIAN then
			tmp[#tmp + 1] = v
		end
	end
	
	local lv = self:seekWidgetByName('item_list')
	local children = lv:getChildren()
	for k = 1, children:count() do
		if tmp[k][2] > 0 then
			local w = tcast(children:objectAtIndex(k), 'Widget')
			local txtName = UIHO:seekWidgetByName(w, 'lbl_name')
			local txt = txtName:getStringValue()
			txt = '<s=20>'..txt..'<c=afbc12>(V'..tmp[k][2]..')</>'
			local name_ = UIStaticRichText:createWithString(txt);
			name_:setPosition(ccp(txtName:getPosition()))
			name_:setAnchorPoint(txtName:getAnchorPoint())
			txtName:removeFromParent()
			w:addChild(name_)
		end
	end
end